hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Shvachko (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HADOOP-2716) Balancer should require superuser privilege
Date Mon, 11 Feb 2008 19:40:09 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-2716?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Konstantin Shvachko updated HADOOP-2716:
----------------------------------------

       Resolution: Fixed
    Fix Version/s: 0.17.0
           Status: Resolved  (was: Patch Available)

I just committed this. Thank you Nicholas.

> Balancer should require superuser privilege
> -------------------------------------------
>
>                 Key: HADOOP-2716
>                 URL: https://issues.apache.org/jira/browse/HADOOP-2716
>             Project: Hadoop Core
>          Issue Type: Bug
>          Components: dfs
>            Reporter: Tsz Wo (Nicholas), SZE
>            Assignee: Tsz Wo (Nicholas), SZE
>             Fix For: 0.16.1, 0.17.0
>
>         Attachments: 2716_20080125.patch, 2716_20080202.patch, 2716_20080203.patch, 2716_20080206.patch
>
>
> Balancer uses NamenodeProtocol.  Currently, there is no permission checking for NamenodeProtocol.
 We should require superuser privilege for running Balancer.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message